unit uPrincipal;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.ListBox, FMX.Edit,
  FMX.ExtCtrls, FMX.StdCtrls, FMX.TabControl, System.Actions, FMX.ActnList,
  FMX.Gestures, FMX.Layouts, FMX.WebBrowser, FMX.Sensors;

type
  TForm1 = class(TForm)
    TabControl1: TTabControl;
    ToolBar1: TToolBar;
    TabItem1: TTabItem;
    TabItem2: TTabItem;
    TabControl2: TTabControl;
    TabControl3: TTabControl;
    TabItem3: TTabItem;
    TabItem4: TTabItem;
    TabItem5: TTabItem;
    TabItem6: TTabItem;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    CalendarEdit1: TCalendarEdit;
    ComboBox1: TComboBox;
    Label3: TLabel;
    Edit2: TEdit;
    Label4: TLabel;
    Edit3: TEdit;
    Label5: TLabel;
    ListBoxItem1: TListBoxItem;
    ListBoxItem2: TListBoxItem;
    GestureManager1: TGestureManager;
    ActionList1: TActionList;
    gotoCadastro: TChangeTabAction;
    gotoListagem: TChangeTabAction;
    ListBox1: TListBox;
    ListBoxItem3: TListBoxItem;
    ListBoxItem4: TListBoxItem;
    ListBoxItem5: TListBoxItem;
    ListBoxItem6: TListBoxItem;
    ListBoxItem7: TListBoxItem;
    ListBoxItem8: TListBoxItem;
    ListBoxItem9: TListBoxItem;
    ListBoxItem10: TListBoxItem;
    ListBoxItem11: TListBoxItem;
    ListBoxItem12: TListBoxItem;
    SearchBox1: TSearchBox;
    ToolBar2: TToolBar;
    speCompartilhar: TSpeedButton;
    speSintetico: TSpeedButton;
    speAnalitico: TSpeedButton;
    WebBrowser1: TWebBrowser;
    Label7: TLabel;
    Label8: TLabel;
    CalendarEdit2: TCalendarEdit;
    CalendarEdit3: TCalendarEdit;
    swtQuebra: TSwitch;
    lblQuebra: TLabel;
    Edit4: TEdit;
    speVoltar: TSpeedButton;
    acVoltar: TChangeTabAction;
    procedure speSinteticoClick(Sender: TObject);
    procedure TabControl3Change(Sender: TObject);
    procedure Edit4Exit(Sender: TObject);
    procedure TabControl1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Edit4Exit(Sender: TObject);
begin
  WebBrowser1.URL := Edit4.Text;
  WebBrowser1.Navigate;
end;

procedure TForm1.speSinteticoClick(Sender: TObject);
begin
  if speSintetico.IsPressed then
  begin
    swtQuebra.Enabled     := False;
    lblQuebra.StyleLookup :=  'embossedlabel';
  end
  else
  begin
    swtQuebra.Enabled     := True;
    lblQuebra.StyleLookup :=  'labelstyle';
  end;
end;

procedure TForm1.TabControl1Change(Sender: TObject);
begin
  speVoltar.Visible := TabControl1.ActiveTab = TabItem2;
end;

procedure TForm1.TabControl3Change(Sender: TObject);
begin
  speCompartilhar.Visible := TabControl3.ActiveTab = TabItem4;
end;

end.
